package com.yame;

import static org.junit.Assert.assertTrue;

import java.io.IOException;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * GraphTest
 */

public class GraphTest {

    private final Logger log = LoggerFactory.getLogger(GraphTest.class.getName());

    @Test
    public void TestLoad() throws IOException {

        Graph graph = new Graph();
        graph.load(AppTest.testPath + "1.xml");
        assertTrue(graph.dumpModel().startsWith("<mxGraphModel>"));
        graph.load(graph.dumpModel().getBytes());
        assertTrue(graph.dumpModel().startsWith("<mxGraphModel>"));
    }

    @Test
    public void TestMegre() throws IOException, CloneNotSupportedException {
        Graph graph = new Graph();
        graph.load(AppTest.testPath + "1.xml");
        Graph g = Graph.merge(graph, graph);
        log.debug(g.dumpModel());
    }

    @Test
    public void TestMegreGroup() throws IOException, CloneNotSupportedException {
        Graph graph = new Graph();
        graph.load(AppTest.testPath + "1.xml");
        Graph g = Graph.merge(graph, graph, true);
        log.debug(g.dumpModel());
    }

    @Test
    public void TestCase1() {
    }

}